<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_text"	Pimp my Textfeld                   |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / March 2013 ==

*/

// Korrekturwerte bei falscher Positionierung
$CorrectX = 0; // x-Abweichung
$CorrectY = 0; // y-Abweichung

include (CPO_BASEDIR.'mod_text/includes/producer.inc.php');

$formDivider = '</tbody></table><table class="colored" style="width: 100%% ;"><thead><tr><th colspan="2"><span>%s</span></th></tr></thead><tbody>';

$formSubmit = '<!-- Send form --><tr><td class="leftrow">&nbsp;</td>'
				. '<td class="rightrow">'
				. '<input type="submit" class="button" value="' . __('save article') . '">' 
				. ( ($_SESSION['SID_stufe4']==1 && $cpoSystem['release'] ) 
					? '<input name="article_free" type="submit" class="button" value="' . __('save and release article') . '">' 
					: '' ) 
				.'</td>';

$length_script = 
     '<script type="text/javascript"><!--' ."\n" .
     'function textCounter(field, countfield, maxlimit) { ' ."\n" .
     'if (field.value.length > maxlimit) ' ."\n" .
     'field.value = field.value.substring(0, maxlimit); ' ."\n" .
     'else ' ."\n" .
     'countfield.value = maxlimit - field.value.length; ' ."\n" .
     '}' ."\n".
     '// --></script>' . "\n";

$datepicker_script = '<script type="text/javascript"> var CorrectX = '.$CorrectX.';var CorrectY = '.$CorrectY.';</script><script type="text/javascript" src="../mod_text/calendar/date-picker.js"></script><div id="calendar_widget" style="position: absolute; top: 0px; left: 0px; width:140px; height: 200px; display: none;"><iframe id="calendar_widget_iframe" name="calendar_widget_iframe" width="100%" height="100%" src="../mod_text/calendar/calendar_widget.php" frameborder="0"></iframe></div>';

$color_script = 
     '<script type="text/javascript"><!--

var whichColor = \'\';

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = \'\';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = \'scrollbars=no, resizable=yes\';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, \'width=\'+width+\', height=\'+height+\', top=\'+yOffset+\', left=\'+xOffset+\', \'+parameters);
    return newwindow;
}

function pickedColor(color)
{
    if (!color) return;
    eval(\'document.article_form.\'+whichColor+\'.value="\'+color+\'";\');
    eval(\'document.article_form.\'+whichColor+\'_show.style.backgroundColor="\'+color+\'";\');
}

function getPickedColor()
{
    return eval(whichColor+\'.value;\');
}

//--> </script>' . "\n";


if ($value['formtype'] == 'divider') { 
	printf($formDivider,htmlspecialchars($name), ENT_COMPAT, 'ISO-8859-15'); 
	return; 
} 

if ($value['formtype'] == 'submitbutton') { 
	print($formSubmit); 
	return; 
} 

if (!version_compare($CPO['version'], '4.1.0', '<')) {  // addition for 4.1.x
	if (!empty($value['maximumlength'])) $value['length'] = $value['maximumlength'];
}

// remove key from temporary content array so that only not used content is left
unset($_content[$key]); 

// make sure an empty values exist for a key without content.
if (!array_key_exists($key, $content)) {
	$content[$key] = array('id'=>'', 'text'=>'');
}

// NEW hidden
if ($value['formtype'] == 'hidden') {
    printf('<input type="hidden" name="content[%s][text]" value="%s">', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')
	);
	return;
} 

printf('<tr'.$markashidden.'><td class="leftrow">%s:</td><td class="rightrow">',
	htmlspecialchars($name, ENT_COMPAT, 'ISO-8859-15'));
if (isset($value['label']) && trim($value['label'])!='') {
	printf('%s<br /><br />', $value['label']);
}

if ($value['formtype'] == 'mailbutton') { 
	printf('<input type="text" name="content[%s][text]" value="%s" size="40"> <input type="submit" name="saveAndMail" value="%s" />', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15'),
		__('save and send mail')
	);
	print(($value['divider'] ? $formDivider : '').'</td></tr>');
	break;
} 

if ($value['formtype'] == 'checkbox') { 
	printf('<input type="checkbox" name="content[%s][text]" value="%s" %s />', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'), 
		htmlspecialchars($name, ENT_COMPAT, 'ISO-8859-15'), 
	 ($content[$key]['text']) ? ' checked="checked"' : '' 
	); 
	print(($value['divider'] ? $formDivider : '').'</td></tr>'); 
	return; 
} 

// NEW colorpicker
if ($value['formtype'] == 'colorpicker') { 
    if (!isset($color_script_shown) && !$color_script_shown) {
        echo $color_script;
	    $color_script_shown = true;
    }
	$color_nr++;
	printf('<input type="text" class="text" id="color%s" name="content[%s][text]" value="%s" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="color%s_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'color%s\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">&nbsp;&nbsp;', 
		$color_nr,
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'), 
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15'),
		$color_nr,
		$color_nr 
	); 
	print(($value['divider'] ? $formDivider : '').'</td></tr>'); 
	printf('<script type="text/javascript">document.getElementById(\'color%s_show\').style.backgroundColor = document.getElementById(\'color%s\').value;</script>',
		$color_nr,
		$color_nr	
	);
	return; 
} 

if ($value['formtype'] == 'description') { 
	print(($value['divider'] ? $formDivider : '').'</td></tr>'); 
	return; 
} 

if (($value['formtype'] == 'radio' || $value['formtype'] == 'radioh') && isset($value['options'])) { 
  $select_options = explode(";",$value['options']); 
  foreach ($select_options AS $select_option)  { 
	 $selected = ($select_option == htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')) ? ' checked="checked"' : ''; 
	 printf('<input type="radio" name="content[%s][text]" id="%s" value="%s"%s /><label for="">%s</label>', htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'), $select_option, $select_option, $selected, $select_option); 
	 echo ($value['formtype'] == 'radioh') ? '&nbsp;&nbsp;&nbsp;' : '<br />';
  } 
	print(($value['divider'] ? $formDivider : '').'</td></tr>'); 
	return; 
} 

if ($value['formtype'] == 'selectbox' && isset($value['options'])) { 
	printf('<select name="content[%s][text]">', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15') 
	); 
    if (strtolower(substr($value['options'],0,6))=="select")  {
        // NEU: Select-Feld aus Datenbank fllen
        // Wichtig -> Der Wert mu als "value" ausgegeben werden, also "SELECT fieldname AS value ..."
        $_v = array();
        $db_values = new DB;
        $db_values->query($value['options']);
        while ($db_values->next_record()) $_v[] = $db_values->v('value');
        $value['options'] = ";".implode(";",$_v);
    }
    $select_options = explode(";",$value['options']); 
    foreach ($select_options AS $select_option)  { 
         $selected = ($select_option == htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')) ? ' selected="selected"' : ''; 
         printf('<option value="%s"%s>%s</option>', $select_option, $selected, $select_option); 
    }
	printf('</select>'); 
	print(($value['divider'] ? $formDivider : '').'</td></tr>'); 
	return; 
} 

// NEW datepicker
if ($value['formtype'] == 'datepicker') {
    if (!isset($datepicker_script_shown) && !$datepicker_script_shown) {
        echo $datepicker_script;
	    $datepicker_script_shown = true;
    }

    printf('<input type="text" name="content[%s][text]" value="%s" size="10" maxlength="10"> <a href="javascript:void();" onclick="javascript: show_calendar_widget(this);return false;" id="date_link" class="calendar-link"><img src="../mod_text/pics/pick.gif" border="0"></a>', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')
	);
	print(($value['divider'] ? $formDivider : '').'</td></tr>');
	return;
} 

if ($value['formtype'] == 'short' || $value['inputmethod'] == 'text' || isset($value['short'])) {
	if (isset($value['length']) && $value['length']!='')
	{
		$length_string = ($value['length']<70) ? ' size="'.(ceil(1.2 * $value['length'])).'" maxlength="'.$value['length'].'"' : ' class="inputwidth" maxlength="'.$value['length'].'"';
	} else {
		$length_string = ' class="inputwidth" size="80"';
	}
	printf('<input type="text" name="content[%s][text]" value="%s"%s>', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15'),
		$length_string
	);
	print(help(''));
	print(($value['divider'] ? $formDivider : '').'</td></tr>');
	return;
} 
if (isset($value['length']) && $value['length'] != '')  {
    if (!isset($length_script_shown) && !$length_script_shown)  {
		echo $length_script;
		$length_script_shown = true;
	}
	$length_nr++;
	printf('<textarea name="content[%s][text]" id="text%s" cols="80" rows="%s" class="inputwidth" onKeyDown="textCounter(this.form.text%s,this.form.remLen%s,%s);" onKeyUp="textCounter(this.form.text%s,this.form.remLen%s,%s);">%s</textarea>', 
		htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
		$length_nr,
		ceil($value['length']/80)+1,
		$length_nr,
		$length_nr,
		$value['length'],
		$length_nr,
		$length_nr,
		$value['length'],
		htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')
	);
	print(help(''));
	printf('<br />'.__('noch <input readonly type="text" name="remLen%s" size="4" maxlength="4" value="%s"> Zeichen'),
		$length_nr,
		$value['length']-strlen($content[$key]['text'])
	);
	print(($value['divider'] ? $formDivider : '').'</td></tr>');
	return;
}

printf('<textarea name="content[%s][text]" cols="80" rows="15" class="inputwidth">%s</textarea>', 
	htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'),
	htmlspecialchars($content[$key]['text'], ENT_COMPAT, 'ISO-8859-15')
);
print(help(''));
print(($value['divider'] ? $formDivider : '').'</td></tr>');




return;


?>