<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_text"	Pimp my Textfeld                   |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / March 2013 ==

*/

include_once (CPO_BASEDIR.'mod_text/includes/producer.inc.php');

if (!version_compare($CPO['version'], '4.1.0', '<')) {  // addition for 4.1.x
	print('<tr><td>'.__('Description:').'</td><td>');
	print('<input name="placeholder[label]" type="text" value="'.htmlspecialchars($placeholder['label'], ENT_COMPAT, 'ISO-8859-15').'" class="inputwidth">'.help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-description').'</td></tr>');
}

print('<tr><td>'.___('Type:').'</td><td>');
print('<div style="float:right;padding:10px;text-align:center;"><img src="http://www.conpresso4.de/_images/mod_logo.jpg"><h1>mod_text</h1><p>"Pimp my Textfeld"<br />by <a href="http://www.conpresso4.de" target="_blank">conpresso4.de</a></p><p>supported by<br /><a href="http://www.gomasa.nl/" target="_blank">GOMASA webdesign</a></p></div>');


// textarea *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="textarea" id="textarea" '.(($placeholder['formtype']=='textarea' || !isset($placeholder['formtype'])) ? 'checked="checked"' : '').'><label for="textarea">'.__('Textarea').'</label>');
print('<br />');
// short *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="short" id="short" '.($placeholder['short']==1 || $placeholder['formtype']=='short' || $placeholder['inputmethod']=='text' || isset($value['short']) ? 'checked="checked"' : '').'><label for="short">'.__('Short text').'</label>');
print('<br />');
// description *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="description" id="description" '.($placeholder['formtype']=='description' || isset($value['description']) ? 'checked="checked"' : '').'><label for="description">'.__('Description').'</label>');
print('<br />');
// divider *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="divider" id="divider" '.($placeholder['formtype']=='divider' || isset($value['divider']) ? 'checked="checked"' : '').'><label for="divider">'.__('Divider').'</label>');
print('<br />');
// mailbutton *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="mailbutton" id="mailbutton" '.($placeholder['formtype']=='mailbutton' ? 'checked="checked"' : '').'><label for="mailbutton">'.__('Mail button').'</label>');
print('<br />');
// submitbutton *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="submitbutton" id="submitbutton" '.($placeholder['formtype']=='submitbutton' ? 'checked="checked"' : '').'><label for="submitbutton">'.__('Submit button').'</label>');
print('<br />');
// checkbox *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="checkbox" id="checkbox" '.($placeholder['formtype']=='checkbox' ? 'checked="checked"' : '').'><label for="checkbox">'.__('Checkbox').'</label>');
print('<br />');
// selectbox *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="selectbox" id="selectbox" '.($placeholder['formtype']=='selectbox' ? 'checked="checked"' : '').'><label for="selectbox">'.__('Selectbox').'</label>');
print('<br />');
// radio vertical *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="radio" id="radio" '.($placeholder['formtype']=='radio' ? 'checked="checked"' : '').'><label for="radio">'.__('Radio buttons vertical').'</label>');
print('<br />');
// radio horiziontal *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="radioh" id="radioh" '.($placeholder['formtype']=='radioh' ? 'checked="checked"' : '').'><label for="radioh">'.__('Radio buttons horizontal').'</label>');
print('<br />');
// colorpicker *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="colorpicker" id="colorpicker" '.($placeholder['formtype']=='colorpicker' ? 'checked="checked"' : '').'><label for="colorpicker">'.__('Colorpicker').'</label>');
print('<br />');
// datepicker *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="datepicker" id="datepicker" '.($placeholder['formtype']=='datepicker' ? 'checked="checked"' : '').'><label for="datepicker">'.__('Datepicker').'</label>');
print('<br />');
// hidden fields *************************************************************
print('<input name="placeholder[formtype]" class="checkbox" type="radio" value="hidden" id="hidden" '.($placeholder['formtype']=='hidden' ? 'checked="checked"' : '').'><label for="hidden">'.__('Hidden field (for special purposes)').'</label>');
print('<br />');
// Ende der Auswahlliste *************************************************************
print('</td></tr>');
// Options *************************************************************
print('<tr><td>'.___('Selectable values:').'</td><td>');
print('<input name="placeholder[options]" type="text" value="'.htmlspecialchars($placeholder['options'], ENT_COMPAT, 'ISO-8859-15').'" class="inputwidth">');
print('<br />'.__('Fill in colob separated values! (for select and radio buttons)') );
print('</td></tr>');
// Lngenbegrenzung *************************************************************
print('<tr><td>'.__('Length limit:').'</td><td>');
print('<input name="placeholder[length]" type="text" value="'.htmlspecialchars($placeholder['length'], ENT_COMPAT, 'ISO-8859-15').'" size="4"> '.__('for textarea and short text').'</td></tr>');

?>